LIRC libraries Linux Infrared Remote Control

Loading...
Searching...
No Matches
Macros | Functions
curl_poll.c File Reference

Implements curl_poll.h. More...

`#include "config.h"`
`#include <errno.h>`
`#include <stdbool.h>`
`#include <stdlib.h>`
`#include <sys/time.h>`
`#include <sys/types.h>`
`#include "lirc_log.h"`
`#include "curl_poll.h"`

Go to the source code of this file.

## Macros
#define | _XOPEN_SOURCE 700
#define | TRUE 1
#define | FALSE 0

## Functions
long | curlx_tvdiff (struct timeval newer, struct timeval older)
int | curl_poll (struct pollfd ufds[], unsigned int nfds, int timeout_ms)

## Detailed Description

Implements curl_poll.h.

Definition in file curl_poll.c.

## Macro Definition Documentation

## ◆ _XOPEN_SOURCE

#define _XOPEN_SOURCE 700

Definition at line 28 of file curl_poll.c.

## ◆ FALSE

#define FALSE 0

Definition at line 54 of file curl_poll.c.

## ◆ TRUE

#define TRUE 1

Definition at line 53 of file curl_poll.c.

## Function Documentation

## ◆ curl_poll()

int curl_poll | ( | struct pollfd | ufds[],
|  | unsigned int | nfds,
|  | int | timeout_ms
| ) |  |

Definition at line 106 of file curl_poll.c.

## ◆ curlx_tvdiff()

long curlx_tvdiff | ( | struct timeval | newer,
|  | struct timeval | older
| ) |  |

Definition at line 88 of file curl_poll.c.